Bug 768790 - change of backlight brightness by Power Management freezes the computer on Dell Inspiron N5010
change of backlight brightness by Power Management freezes the computer on De...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-18 17:37 EST by Joseph Marrero
Modified: 2012-09-03 16:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-03 16:26:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph Marrero 2011-12-18 17:37:40 EST
Description of problem:The system freezes when the backlight brightness is changed by power management.

This happens in Fedora16, Fedora15 and EL6. (does not happen on other distributions or OS)

How reproducible:
Happens 98% of time.

Steps to Reproduce:
On Battery power
1.Go to gnome-power-preferences
2.GO to the tab "On Battery power"
3.Check and un check the Reduce backlight brightness.
**Alternate method: Wait for the screen to dim due to inactivity and mouse the mouse


On Power Cord
1.Go to gnome-power-preferences
2.Go to the Tab On "On ACC Power"
3.Bring the "Set brightness to" bar up and down


Actual results:
Machine hard freeze wont even not allow to to back to text mode.

Expected results:
The screen should dim and get brighter whiteout freezing the system

Additional info:
This happens on a Dell Inspiron N5010
Comment 1 Joseph Marrero 2011-12-18 17:42:05 EST
00:00.0 Host bridge: Intel Corporation Core Processor DRAM Controller (rev 18)
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 18)
00:16.0 Communication controller: Intel Corporation 5 Series/3400 Series Chipset HECI Controller (rev 06)
00:1a.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 06)
00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio (rev 06)
00:1c.0 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 1 (rev 06)
00:1c.1 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 2 (rev 06)
00:1c.2 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 3 (rev 06)
00:1c.4 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 5 (rev 06)
00:1d.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 06)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev a6)
00:1f.0 ISA bridge: Intel Corporation Mobile 5 Series Chipset LPC Interface Controller (rev 06)
00:1f.2 SATA controller: Intel Corporation 5 Series/3400 Series Chipset 6 port SATA AHCI Controller (rev 06)
00:1f.3 SMBus: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller (rev 06)
00:1f.6 Signal processing controller: Intel Corporation 5 Series/3400 Series Chipset Thermal Subsystem (rev 06)
12:00.0 Network controller: Intel Corporation Centrino Wireless-N 1000
13:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8101E/RTL8102E PCI Express Fast Ethernet controller (rev 02)
Comment 2 Joseph Marrero 2012-05-02 11:23:35 EDT
A workaround I found was to disabling all powermanagement and doing " xset dpms 0 0 0 && xset s off "
The problem happens in any DE(KDE/Gnome)
Comment 3 Joseph Marrero 2012-09-03 16:26:38 EDT
seems fixed in latest 3.5.x kernels

Note You need to log in before you can comment on or make changes to this bug.